# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/Pages/SwaggerUI.gitlab-ci.yml

default:
  image: node:10-alpine

  # These folders are cached between builds
#  cache:
#    paths:
#      - ./node_modules

# specify the location of the Open API Specification files within your project
# and the filename of the specification that you would like to display by default
variables:
  DOCS_FOLDER: "api-docs"
  SPEC_TO_DISPLAY: "openapi.json"

# publishes all files from the $DOCS_FOLDER together with the static version of SwaggerUI
# sets the specification file named in $SPEC_TO_DISPLAY to be displayed by default
pages:
  stage: deploy
  before_script:
    - npm install swagger-ui-dist@5.11.7
  script:
    - mkdir public
    - cp -rp node_modules/swagger-ui-dist/* public
    - cp -rp $DOCS_FOLDER/* public
    - sed -i "s|https://petstore.swagger.io/v2/swagger.json|$SPEC_TO_DISPLAY|" "public/swagger-initializer.js"
  artifacts:
    paths:
      - public
#  rules:
#    - if: $CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH
  environment: production
